local using_drunk= {}
local using_both_sides= GAMESTATE:GetCurrentStyle():GetStyleType() == "StyleType_OnePlayerTwoSides"
for i, pn in ipairs(GAMESTATE:GetEnabledPlayers()) do
	using_drunk[pn]= GAMESTATE:GetPlayerState(pn):GetPlayerOptions("ModsLevel_Preferred"):Drunk() ~= 0
end

local xtl_cond_s_result= (using_drunk[PLAYER_1] or using_drunk[PLAYER_2]) and using_both_sides
local xtl_cond_q_result= (using_drunk[PLAYER_1]) and not using_both_sides
local xtl_cond_r_result= (using_drunk[PLAYER_2]) and not using_both_sides

local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_t",
	Def.Actor{OnCommand= cmd(x,SCREEN_CENTER_X-160;sleep,200)},
  optional_actor(xtl_cond_q_result,
  Def.ActorFrame{
    Name= "xtl_actor_u",
  OnCommand= cmd(x,SCREEN_CENTER_X-160;sleep,200),
    Def.Sprite{
      Name= "xtl_actor_v",
    InitCommand= cmd(diffusealpha,0),
    OnCommand= cmd(y,SCREEN_CENTER_Y;customtexturerect,0,0,1,2;texcoordvelocity,0,-0.5;zoomy,2;zoomx,1.1;linear,1;diffusealpha,1),
    Texture= "far",
    },
    Def.Sprite{
      Name= "xtl_actor_w",
    InitCommand= cmd(diffusealpha,0),
    OnCommand= cmd(y,SCREEN_CENTER_Y;customtexturerect,0,0,1,2;texcoordvelocity,0,-0.75;zoomy,2;zoomx,1.1;linear,1;diffusealpha,1),
    Texture= "med",
    },
    Def.Sprite{
      Name= "xtl_actor_x",
    InitCommand= cmd(diffusealpha,0),
    OnCommand= cmd(y,SCREEN_CENTER_Y;customtexturerect,0,0,1,2;texcoordvelocity,0,-1;zoomy,2;zoomx,1.1;linear,1;diffusealpha,1),
    Texture= "near",
    },
  }),
  optional_actor(xtl_cond_r_result,
  Def.ActorFrame{
    Name= "xtl_actor_y",
  OnCommand= cmd(x,SCREEN_CENTER_X+160),
    Def.Sprite{
      Name= "xtl_actor_z",
    InitCommand= cmd(diffusealpha,0),
    OnCommand= cmd(y,SCREEN_CENTER_Y;customtexturerect,0,0,1,2;texcoordvelocity,0,-0.5;zoomy,2;zoomx,1.1;linear,1;diffusealpha,1),
    Texture= "far",
    },
    Def.Sprite{
      Name= "xtl_actor_ab",
    InitCommand= cmd(diffusealpha,0),
    OnCommand= cmd(y,SCREEN_CENTER_Y;customtexturerect,0,0,1,2;texcoordvelocity,0,-0.75;zoomy,2;zoomx,1.1;linear,1;diffusealpha,1),
    Texture= "med",
    },
    Def.Sprite{
      Name= "xtl_actor_bb",
    InitCommand= cmd(diffusealpha,0),
    OnCommand= cmd(y,SCREEN_CENTER_Y;customtexturerect,0,0,1,2;texcoordvelocity,0,-1;zoomy,2;zoomx,1.1;linear,1;diffusealpha,1),
    Texture= "near",
    },
  }),
  optional_actor(xtl_cond_s_result,
  Def.ActorFrame{
    Name= "xtl_actor_cb",
  OnCommand= cmd(x,SCREEN_CENTER_X;zoom,2.5;sleep,200),
    Def.Sprite{
      Name= "xtl_actor_db",
    InitCommand= cmd(diffusealpha,0),
    OnCommand= cmd(y,SCREEN_CENTER_Y;customtexturerect,0,0,2,4;texcoordvelocity,0,-0.35;zoomy,4;zoomx,2.2;linear,1;diffusealpha,1;wag;effectperiod,8),
    Texture= "far",
    },
    Def.Sprite{
      Name= "xtl_actor_eb",
    InitCommand= cmd(diffusealpha,0),
    OnCommand= cmd(y,SCREEN_CENTER_Y;customtexturerect,0,0,2,4;texcoordvelocity,0,-0.5;zoomy,4;zoomx,2.2;linear,1;diffusealpha,1;wag;effectperiod,8),
    Texture= "med",
    },
    Def.Sprite{
      Name= "xtl_actor_fb",
    InitCommand= cmd(diffusealpha,0),
    OnCommand= cmd(y,SCREEN_CENTER_Y;customtexturerect,0,0,2,4;texcoordvelocity,0,-0.7;zoomy,4;zoomx,2.2;linear,1;diffusealpha,1;wag;effectperiod,8),
    Texture= "near",
    },
  }),
}
