local using_dizzy= {}
local using_both_sides= GAMESTATE:GetCurrentStyle():GetStyleType() == "StyleType_OnePlayerTwoSides"
for i, pn in ipairs(GAMESTATE:GetEnabledPlayers()) do
	using_dizzy[pn]= GAMESTATE:GetPlayerState(pn):GetPlayerOptions("ModsLevel_Preferred"):Dizzy() ~= 0
end

local xtl_cond_ib_result= (using_dizzy[PLAYER_1] or using_dizzy[PLAYER_2]) and using_both_sides
local xtl_cond_gb_result= (using_dizzy[PLAYER_1]) and not using_both_sides
local xtl_cond_hb_result= (using_dizzy[PLAYER_2]) and not using_both_sides

local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_jb",
  optional_actor(xtl_cond_gb_result,
  Def.ActorFrame{
    Name= "xtl_actor_kb",
		OnCommand= cmd(x,SCREEN_CENTER_X-160),
    Def.Sprite{
      Name= "xtl_actor_lb",
    Delay0000= 0.035,
    Delay0001= 0.035,
    Delay0002= 0.035,
    Delay0003= 0.035,
    Frame0000= 0,
    Frame0001= 1,
    Frame0002= 2,
    Frame0003= 3,
    InitCommand= cmd(y,SCREEN_CENTER_Y;zoomtoheight,SCREEN_HEIGHT;zoomtowidth,SCREEN_WIDTH/2;diffusealpha,0),
    OnCommand= cmd(linear,0.675;diffusealpha,1;linear,0.675;diffusealpha,0),
    Texture= "static",
    },
    Def.ActorFrame{
      Name= "xtl_actor_mb",
			OnCommand= cmd(sleep,23;accelerate,0.7;addy,-800;),
      Def.Sprite{
        Name= "xtl_actor_nb",
      InitCommand= cmd(diffusealpha,0;y,SCREEN_CENTER_Y+250;zoom,0;vertalign,bottom),
      OnCommand= cmd(vibrate;sleep,18.872;diffusealpha,1;linear,4.5;zoom,0.7;diffuse,color("#FF0000");sleep,1;diffusealpha,0),
      Texture= "galaga",
      },
    },
    Def.Sprite{
      Name= "xtl_actor_ob",
    Delay0000= 0.015,
    Delay0001= 0.015,
    Delay0002= 0.015,
    Delay0003= 0.015,
    Delay0004= 0.015,
    Delay0005= 0.015,
    Delay0006= 0.015,
    Delay0007= 0.015,
    Delay0008= 0.015,
    Delay0009= 0.015,
    Delay0010= 0.015,
    Delay0011= 0.015,
    Delay0012= 0.015,
    Delay0013= 0.015,
    Delay0014= 0.015,
    Delay0015= 0.015,
    Frame0000= 0,
    Frame0001= 1,
    Frame0002= 2,
    Frame0003= 3,
    Frame0004= 4,
    Frame0005= 5,
    Frame0006= 6,
    Frame0007= 7,
    Frame0008= 8,
    Frame0009= 9,
    Frame0010= 10,
    Frame0011= 11,
    Frame0012= 12,
    Frame0013= 13,
    Frame0014= 14,
    Frame0015= 15,
    InitCommand= cmd(y,SCREEN_CENTER_Y+300;zoom,10;diffusealpha,0;rotationz,90),
    OnCommand= cmd(sleep,23.76;diffusealpha,1;decelerate,0.2;addy,-350;accelerate,0.2;addy,350;sleep,0.01;diffusealpha,0),
    Texture= "coin",
    },
    Def.Sprite{
      Name= "xtl_actor_pb",
    InitCommand= cmd(diffusealpha,0;y,SCREEN_CENTER_Y-450;zoom,0.6),
    OnCommand= cmd(sleep,49.850;diffusealpha,1;linear,1.25;addy,900;rotationz,540;sleep,0.01;diffusealpha,0),
    Texture= "galaga",
    },
    Def.Sprite{
      Name= "xtl_actor_qb",
    Delay0000= 0.070,
    Delay0001= 0.070,
    Delay0002= 0.070,
    Delay0003= 0.070,
    Delay0004= 0.070,
    Delay0005= 0.070,
    Delay0006= 0.070,
    Frame0000= 0,
    Frame0001= 1,
    Frame0002= 2,
    Frame0003= 3,
    Frame0004= 4,
    Frame0005= 5,
    Frame0006= 6,
    Frame0007= 7,
    InitCommand= cmd(y,SCREEN_CENTER_Y+400;zoom,2),
    OnCommand= cmd(sleep,135.511;linear,1.3;addy,-395;linear,0.2;zoom,0),
    Texture= "reimu",
    },
    Def.Sprite{
      Name= "xtl_actor_rb",
    InitCommand= cmd(diffusealpha,0;y,SCREEN_CENTER_Y;zoom,0),
    OnCommand= cmd(sleep,136.700;diffusealpha,1;linear,0.125;zoom,0.5;linear,0.25;zoom,0),
    Texture= "flare",
    },
  }),
  optional_actor(xtl_cond_hb_result,
  Def.ActorFrame{
    Name= "xtl_actor_sb",
		OnCommand= cmd(x,SCREEN_CENTER_X+160),
    Def.Sprite{
      Name= "xtl_actor_tb",
    Delay0000= 0.035,
    Delay0001= 0.035,
    Delay0002= 0.035,
    Delay0003= 0.035,
    Frame0000= 0,
    Frame0001= 1,
    Frame0002= 2,
    Frame0003= 3,
    InitCommand= cmd(y,SCREEN_CENTER_Y;zoomtoheight,SCREEN_HEIGHT;zoomtowidth,SCREEN_WIDTH/2;diffusealpha,0),
    OnCommand= cmd(linear,0.675;diffusealpha,1;linear,0.675;diffusealpha,0),
    Texture= "static",
    },
    Def.ActorFrame{
      Name= "xtl_actor_ub",
			OnCommand= cmd(sleep,23;accelerate,0.7;addy,-800;),
      Def.Sprite{
        Name= "xtl_actor_vb",
      InitCommand= cmd(diffusealpha,0;y,SCREEN_CENTER_Y+250;zoom,0;vertalign,bottom),
      OnCommand= cmd(vibrate;sleep,18.872;diffusealpha,1;linear,4.5;zoom,0.7;diffuse,color("#FF0000");sleep,1;diffusealpha,0),
      Texture= "galaga",
      },
    },
    Def.Sprite{
      Name= "xtl_actor_wb",
    Delay0000= 0.015,
    Delay0001= 0.015,
    Delay0002= 0.015,
    Delay0003= 0.015,
    Delay0004= 0.015,
    Delay0005= 0.015,
    Delay0006= 0.015,
    Delay0007= 0.015,
    Delay0008= 0.015,
    Delay0009= 0.015,
    Delay0010= 0.015,
    Delay0011= 0.015,
    Delay0012= 0.015,
    Delay0013= 0.015,
    Delay0014= 0.015,
    Delay0015= 0.015,
    Frame0000= 0,
    Frame0001= 1,
    Frame0002= 2,
    Frame0003= 3,
    Frame0004= 4,
    Frame0005= 5,
    Frame0006= 6,
    Frame0007= 7,
    Frame0008= 8,
    Frame0009= 9,
    Frame0010= 10,
    Frame0011= 11,
    Frame0012= 12,
    Frame0013= 13,
    Frame0014= 14,
    Frame0015= 15,
    InitCommand= cmd(y,SCREEN_CENTER_Y+300;zoom,10;diffusealpha,0;rotationz,90),
    OnCommand= cmd(sleep,23.76;diffusealpha,1;decelerate,0.2;addy,-350;accelerate,0.2;addy,350;sleep,0.01;diffusealpha,0),
    Texture= "coin",
    },
    Def.Sprite{
      Name= "xtl_actor_xb",
    InitCommand= cmd(diffusealpha,0;y,SCREEN_CENTER_Y-450;zoom,0.6),
    OnCommand= cmd(sleep,49.850;diffusealpha,1;linear,1.25;addy,900;rotationz,540;sleep,0.01;diffusealpha,0),
    Texture= "galaga",
    },
    Def.Sprite{
      Name= "xtl_actor_yb",
    Delay0000= 0.070,
    Delay0001= 0.070,
    Delay0002= 0.070,
    Delay0003= 0.070,
    Delay0004= 0.070,
    Delay0005= 0.070,
    Delay0006= 0.070,
    Frame0000= 0,
    Frame0001= 1,
    Frame0002= 2,
    Frame0003= 3,
    Frame0004= 4,
    Frame0005= 5,
    Frame0006= 6,
    Frame0007= 7,
    InitCommand= cmd(y,SCREEN_CENTER_Y+400;zoom,2),
    OnCommand= cmd(sleep,135.511;linear,1.3;addy,-395;linear,0.2;zoom,0),
    Texture= "marisa",
    },
    Def.Sprite{
      Name= "xtl_actor_zb",
    InitCommand= cmd(diffusealpha,0;y,SCREEN_CENTER_Y;zoom,0),
    OnCommand= cmd(sleep,136.700;diffusealpha,1;linear,0.125;zoom,0.5;linear,0.25;zoom,0),
    Texture= "flare",
    },
  }),
  optional_actor(xtl_cond_ib_result,
  Def.ActorFrame{
    Name= "xtl_actor_ac",
		OnCommand= cmd(x,SCREEN_CENTER_X),
    Def.Sprite{
      Name= "xtl_actor_bc",
    Delay0000= 0.035,
    Delay0001= 0.035,
    Delay0002= 0.035,
    Delay0003= 0.035,
    Frame0000= 0,
    Frame0001= 1,
    Frame0002= 2,
    Frame0003= 3,
    InitCommand= cmd(y,SCREEN_CENTER_Y;zoomtoheight,SCREEN_HEIGHT;zoomtowidth,SCREEN_WIDTH;diffusealpha,0),
    OnCommand= cmd(linear,0.675;diffusealpha,1;linear,0.675;diffusealpha,0),
    Texture= "static",
    },
    Def.ActorFrame{
      Name= "xtl_actor_cc",
			OnCommand= cmd(sleep,23;accelerate,0.7;addy,-800;),
      Def.Sprite{
        Name= "xtl_actor_dc",
      InitCommand= cmd(diffusealpha,0;y,SCREEN_CENTER_Y+250;zoom,0;vertalign,bottom),
      OnCommand= cmd(vibrate;sleep,18.872;diffusealpha,1;linear,4.5;zoom,1;diffuse,color("#FF0000");sleep,1;diffusealpha,0),
      Texture= "galaga",
      },
    },
    Def.Sprite{
      Name= "xtl_actor_ec",
    Delay0000= 0.015,
    Delay0001= 0.015,
    Delay0002= 0.015,
    Delay0003= 0.015,
    Delay0004= 0.015,
    Delay0005= 0.015,
    Delay0006= 0.015,
    Delay0007= 0.015,
    Delay0008= 0.015,
    Delay0009= 0.015,
    Delay0010= 0.015,
    Delay0011= 0.015,
    Delay0012= 0.015,
    Delay0013= 0.015,
    Delay0014= 0.015,
    Delay0015= 0.015,
    Frame0000= 0,
    Frame0001= 1,
    Frame0002= 2,
    Frame0003= 3,
    Frame0004= 4,
    Frame0005= 5,
    Frame0006= 6,
    Frame0007= 7,
    Frame0008= 8,
    Frame0009= 9,
    Frame0010= 10,
    Frame0011= 11,
    Frame0012= 12,
    Frame0013= 13,
    Frame0014= 14,
    Frame0015= 15,
    InitCommand= cmd(y,SCREEN_CENTER_Y+300;zoom,15;diffusealpha,0;rotationz,90),
    OnCommand= cmd(sleep,23.76;diffusealpha,1;decelerate,0.2;addy,-350;accelerate,0.2;addy,350;sleep,0.01;diffusealpha,0),
    Texture= "coin",
    },
    Def.Sprite{
      Name= "xtl_actor_fc",
    InitCommand= cmd(diffusealpha,0;y,SCREEN_CENTER_Y-450;zoom,1),
    OnCommand= cmd(sleep,49.850;diffusealpha,1;linear,1.25;addy,900;rotationz,540;sleep,0.01;diffusealpha,0),
    Texture= "galaga",
    },
    Def.Sprite{
      Name= "xtl_actor_gc",
    Delay0000= 0.070,
    Delay0001= 0.070,
    Delay0002= 0.070,
    Delay0003= 0.070,
    Delay0004= 0.070,
    Delay0005= 0.070,
    Delay0006= 0.070,
    Frame0000= 0,
    Frame0001= 1,
    Frame0002= 2,
    Frame0003= 3,
    Frame0004= 4,
    Frame0005= 5,
    Frame0006= 6,
    Frame0007= 7,
    InitCommand= cmd(x,SCREEN_CENTER_X + -480;y,SCREEN_CENTER_Y+400;zoom,2),
    OnCommand= cmd(sleep,135.511;linear,1.3;addy,-395;linear,0.2;zoom,0),
    Texture= "reimu",
    },
    Def.Sprite{
      Name= "xtl_actor_hc",
    InitCommand= cmd(diffusealpha,0;x,SCREEN_CENTER_X + -480;y,SCREEN_CENTER_Y;zoom,0),
    OnCommand= cmd(sleep,136.700;diffusealpha,1;linear,0.125;zoom,0.5;linear,0.25;zoom,0),
    Texture= "flare",
    },
    Def.Sprite{
      Name= "xtl_actor_ic",
    Delay0000= 0.070,
    Delay0001= 0.070,
    Delay0002= 0.070,
    Delay0003= 0.070,
    Delay0004= 0.070,
    Delay0005= 0.070,
    Delay0006= 0.070,
    Frame0000= 0,
    Frame0001= 1,
    Frame0002= 2,
    Frame0003= 3,
    Frame0004= 4,
    Frame0005= 5,
    Frame0006= 6,
    Frame0007= 7,
    InitCommand= cmd(x,SCREEN_CENTER_X + -160;y,SCREEN_CENTER_Y+400;zoom,2),
    OnCommand= cmd(sleep,135.511;linear,1.3;addy,-395;linear,0.2;zoom,0),
    Texture= "marisa",
    },
    Def.Sprite{
      Name= "xtl_actor_jc",
    InitCommand= cmd(diffusealpha,0;x,SCREEN_CENTER_X + -160;y,SCREEN_CENTER_Y;zoom,0),
    OnCommand= cmd(sleep,136.700;diffusealpha,1;linear,0.125;zoom,0.5;linear,0.25;zoom,0),
    Texture= "flare",
    },
  }),
}
